tbb::internal::predicate_leq Struct Reference
Collaboration diagram for tbb::internal::predicate_leq:

## Public Member Functions

| predicate_leq (ticket t_)
bool | operator() (uintptr_t p) const

## Public Attributes

ticket | t

## Detailed Description

Definition at line 103 of file concurrent_queue.cpp.

## Constructor & Destructor Documentation

## predicate_leq()

tbb::internal::predicate_leq::predicate_leq | ( | ticket | t_ | ) |

inline

Definition at line 105 of file concurrent_queue.cpp.

: t(t_) {}

## Member Function Documentation

## operator()()

bool tbb::internal::predicate_leq::operator() | ( | uintptr_t | p | ) | const

inline

Definition at line 106 of file concurrent_queue.cpp.

{return (ticket)p<=t;}

References p, and t.

## Member Data Documentation

## t

ticket tbb::internal::predicate_leq::t

Definition at line 104 of file concurrent_queue.cpp.

Referenced by operator()().

The documentation for this struct was generated from the following file:

- concurrent_queue.cpp

tbb::internal::predicate_leq::t
ticket t
Definition: concurrent_queue.cpp:104
tbb::internal::ticket
size_t ticket
Definition: concurrent_queue.cpp:42
p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.